<?php
/**
 * Base class for user-facing exceptions.
 *
 * @package DhlPolska\Exception
 */

namespace DhlPolska\Exception;

/**
 * Base user-facing exception.
 */
abstract class AbstractUserFacingException extends \RuntimeException implements UserFacingException {

	public function __construct( ?\Throwable $previous = null ) {
		parent::__construct( static::class, 0, $previous );
	}
}
